# Model management

## Model chaining

Everinfer allows to "chain" multiple ONNX graphs in a single pipeline. \
Use pipeline creation syntax in the following way...&#x20;

```python
client.register_pipeline('model_chaining_example', 
['model_1.onnx', 'model_2.onnx', ...., 'model_N.onnx'])
```

...to merge multiple models in a single graph. Outputs of each model will be used as inputs for the next model.&#x20;

{% hint style="warning" %}
Output names of the model must match input names of the next one!
{% endhint %}

This can be used in a multitude of ways, for example:

* Fuse pre- and post-processing in a single graph with the main model. Check out our [FasterRCNN example](/getting-started/faster-rcnn-example.md), showcasing that approach.&#x20;
* Do simple computations locally and offload demanding models to Everinfer. [Stable Diffusion example](/examples/stable-diffusion-decouple-gpu-ops-from-code.md) does exactly that, offloading U-Net model to remote GPUs.
* Deploy huge models, like Large Language Models, by splitting them into multiple graphs.&#x20;

{% hint style="info" %}
Got cool ideas and use cases for model chaining on Everinfer?&#x20;

Please, hit us up through <hello@everinfer.ai> , we will be glad to include them as examples and give credits to you!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.everinfer.ai/getting-started/model-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
